curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "happyhorse_1_1",
"params": map[string]interface{}{
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg",
},
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42,
},
"out_task_id": "happyhorse_1_1_r2v_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "happyhorse_1_1",
"params" => [
"prompt" => "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url" => ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution" => "1080p",
"aspect_ratio" => "16:9",
"video_length" => 5,
"seed" => 42
],
"out_task_id" => "happyhorse_1_1_r2v_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "happyhorse_1_1",
"params": [
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
],
"out_task_id": "happyhorse_1_1_r2v_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""happyhorse_1_1"",
""params"": {
""prompt"": ""[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。"",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/scene.jpg"",
""https://example.com/prop.jpg""
],
""resolution"": ""1080p"",
""aspect_ratio"": ""16:9"",
""video_length"": 5,
""seed"": 42
},
""out_task_id"": ""happyhorse_1_1_r2v_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"happyhorse_1_1\",\"params\":{\"prompt\":\"[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/scene.jpg\",\"https://example.com/prop.jpg\"],\"resolution\":\"1080p\",\"aspect_ratio\":\"16:9\",\"video_length\":5,\"seed\":42},\"out_task_id\":\"happyhorse_1_1_r2v_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"happyhorse_1_1",
@"params": @{
@"prompt": @"[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/scene.jpg",
@"https://example.com/prop.jpg"
],
@"resolution": @"1080p",
@"aspect_ratio": @"16:9",
@"video_length": @5,
@"seed": @42
},
@"out_task_id": @"happyhorse_1_1_r2v_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "happyhorse_1_1",
params = list(
prompt = "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
),
resolution = "1080p",
aspect_ratio = "16:9",
video_length = 5,
seed = 42
),
out_task_id = "happyhorse_1_1_r2v_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "happyhorse_1_1_r2v_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "请求参数无效",
"ok": false
}
{
"error": {
"code": 401,
"message": "身份验证失败,请检查您的API密钥"
}
}
{
"error": {
"code": 433,
"message": "账户余额不足,请充值后再试"
}
}
{
"error": {
"code": 500,
"message": "服务器内部错误,请稍后重试"
}
}
HappyHorse 1.1
HappyHorse 1.1 多参考图视频生成
- 使用 1-9 张有序参考图片生成视频
- 支持 720p / 1080p、9 种宽高比及 3-15 秒时长
- 在提示词中使用 [Image 1]、[Image 2] 对应参考图片
- 异步处理模式,返回任务 ID 用于后续查询
POST
/
api
/
openapi
/
submit
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "happyhorse_1_1",
"params": map[string]interface{}{
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg",
},
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42,
},
"out_task_id": "happyhorse_1_1_r2v_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "happyhorse_1_1",
"params" => [
"prompt" => "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url" => ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution" => "1080p",
"aspect_ratio" => "16:9",
"video_length" => 5,
"seed" => 42
],
"out_task_id" => "happyhorse_1_1_r2v_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "happyhorse_1_1",
"params": [
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
],
"out_task_id": "happyhorse_1_1_r2v_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""happyhorse_1_1"",
""params"": {
""prompt"": ""[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。"",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/scene.jpg"",
""https://example.com/prop.jpg""
],
""resolution"": ""1080p"",
""aspect_ratio"": ""16:9"",
""video_length"": 5,
""seed"": 42
},
""out_task_id"": ""happyhorse_1_1_r2v_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"happyhorse_1_1\",\"params\":{\"prompt\":\"[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/scene.jpg\",\"https://example.com/prop.jpg\"],\"resolution\":\"1080p\",\"aspect_ratio\":\"16:9\",\"video_length\":5,\"seed\":42},\"out_task_id\":\"happyhorse_1_1_r2v_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"happyhorse_1_1",
@"params": @{
@"prompt": @"[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/scene.jpg",
@"https://example.com/prop.jpg"
],
@"resolution": @"1080p",
@"aspect_ratio": @"16:9",
@"video_length": @5,
@"seed": @42
},
@"out_task_id": @"happyhorse_1_1_r2v_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "happyhorse_1_1",
params = list(
prompt = "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
),
resolution = "1080p",
aspect_ratio = "16:9",
video_length = 5,
seed = 42
),
out_task_id = "happyhorse_1_1_r2v_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "happyhorse_1_1_r2v_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "请求参数无效",
"ok": false
}
{
"error": {
"code": 401,
"message": "身份验证失败,请检查您的API密钥"
}
}
{
"error": {
"code": 433,
"message": "账户余额不足,请充值后再试"
}
}
{
"error": {
"code": 500,
"message": "服务器内部错误,请稍后重试"
}
}
HappyHorse 1.1 在 AIReiter 中的模型名称为
happyhorse_1_1,当前提供多参考图视频生成工作流。Authorizations
string
必填
Body
string
必填
模型名称,固定使用
happyhorse_1_1。object
必填
模型参数对象。
显示 params 对象属性
显示 params 对象属性
string
必填
视频内容、动作和视觉风格描述。在提示词中使用
[Image 1]、[Image 2] 等标记指代 image_url 数组中相同位置的图片,并说明图片中的具体对象。例如:[Image 1] 中穿红色旗袍的女人打开 [Image 2] 中的折扇。最多支持 2500 个中文字符或 5000 个非中文字符,超出部分会被截断。string | string[]
必填
参考图片 URL,支持 1-9 张,图片顺序必须与提示词中的
[Image N] 标记一致。图片要求:- 支持 JPEG、JPG、PNG、WEBP
- 短边不小于 400px,建议使用 720p 或更高分辨率
- 单张图片不超过 10MB
- URL 必须可由公网直接访问
string
默认值:"1080p"
输出分辨率:
720p 或 1080p。string
默认值:"16:9"
输出视频宽高比。支持:
16:9、9:16、3:4、4:3、4:5、5:4、1:1、9:21、21:9。integer
默认值:"5"
输出视频时长,单位为秒。支持 3-15 之间的整数。
integer
默认值:"0"
随机种子,范围为 0-2147483647。传入
0 或省略时使用随机种子。string
必填
调用方生成的唯一任务 ID,后续使用该 ID 查询任务状态和结果。仅支持字母、数字、下划线和横线,长度为 1-64 个字符。
Response
string
调用方任务 ID,可用于查询结果。
string
初始状态,通常为
pending。string
创建时间,ISO 8601 格式。
Query Task
任务提交成功后,通过同一个out_task_id 查询状态。任务状态包括 pending、processing、completed 和 failed;完成后 output 数组包含视频结果。
curl --request POST \
--url https://aireiter.com/api/openapi/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"out_task_id": "happyhorse_1_1_task_123456"
}'
Request Example
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "happyhorse_1_1",
"params": map[string]interface{}{
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg",
},
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42,
},
"out_task_id": "happyhorse_1_1_r2v_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "happyhorse_1_1",
"params" => [
"prompt" => "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url" => ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution" => "1080p",
"aspect_ratio" => "16:9",
"video_length" => 5,
"seed" => 42
],
"out_task_id" => "happyhorse_1_1_r2v_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "happyhorse_1_1",
"params": [
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
],
"out_task_id": "happyhorse_1_1_r2v_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""happyhorse_1_1"",
""params"": {
""prompt"": ""[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。"",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/scene.jpg"",
""https://example.com/prop.jpg""
],
""resolution"": ""1080p"",
""aspect_ratio"": ""16:9"",
""video_length"": 5,
""seed"": 42
},
""out_task_id"": ""happyhorse_1_1_r2v_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"happyhorse_1_1\",\"params\":{\"prompt\":\"[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/scene.jpg\",\"https://example.com/prop.jpg\"],\"resolution\":\"1080p\",\"aspect_ratio\":\"16:9\",\"video_length\":5,\"seed\":42},\"out_task_id\":\"happyhorse_1_1_r2v_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"happyhorse_1_1",
@"params": @{
@"prompt": @"[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/scene.jpg",
@"https://example.com/prop.jpg"
],
@"resolution": @"1080p",
@"aspect_ratio": @"16:9",
@"video_length": @5,
@"seed": @42
},
@"out_task_id": @"happyhorse_1_1_r2v_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "happyhorse_1_1",
params = list(
prompt = "[Image 1] 中的女人走进 [Image 2] 的场景,然后拿起 [Image 3] 中的道具。保持流畅的 3D 卡通风格和自然动作。",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
),
resolution = "1080p",
aspect_ratio = "16:9",
video_length = 5,
seed = 42
),
out_task_id = "happyhorse_1_1_r2v_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "happyhorse_1_1_r2v_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "请求参数无效",
"ok": false
}
{
"error": {
"code": 401,
"message": "身份验证失败,请检查您的API密钥"
}
}
{
"error": {
"code": 433,
"message": "账户余额不足,请充值后再试"
}
}
{
"error": {
"code": 500,
"message": "服务器内部错误,请稍后重试"
}
}
图片数组顺序与提示词中的
[Image N] 不一致,可能导致角色、道具或场景混淆。